## org.biojava.bio.symbol
Class AbstractSymbolList.EditTranslater

    java.lang.Object
      org.biojava.utils.ChangeForwarder
          org.biojava.bio.symbol.AbstractSymbolList.EditScreener
              org.biojava.bio.symbol.AbstractSymbolList.EditTranslater

All Implemented Interfaces:
  ChangeListener, java.util.EventListener

Enclosing class:
  AbstractSymbolList

public class AbstractSymbolList.EditTranslater
extends AbstractSymbolList.EditScreener

This translates edit events that fall within a window into window co-ordinates.

Author:
  Matthew Pocock

Nested Class Summary

Nested classes inherited from class org.biojava.utils.ChangeListener
`ChangeListener.AlwaysVetoListener, ChangeListener.LoggingListener`

Field Summary

Fields inherited from class org.biojava.bio.symbol.AbstractSymbolList.EditScreener
`max, min`

Fields inherited from interface org.biojava.utils.ChangeListener
`ALWAYS_VETO, LOG_TO_OUT`

Constructor Summary
`AbstractSymbolList.EditTranslater(java.lang.Object source, ChangeSupport cs, int min, int max)`

Method Summary
`protected ChangeEvent` `generateEvent(ChangeEvent ce)` Return the new event to represent the originating event ce.

Methods inherited from class org.biojava.utils.ChangeForwarder
`changeSupport, getSource, postChange, preChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSymbolList.EditTranslater

    public AbstractSymbolList.EditTranslater(java.lang.Object source,
                                             ChangeSupport cs,
                                             int min,
                                             int max)

Method Detail

### generateEvent

    protected ChangeEvent generateEvent(ChangeEvent ce)

  Description copied from class: `ChangeForwarder`

  Return the new event to represent the originating event ce.

  The returned ChangeEvent is the event that will be fired, and should be built from information in the original event. If it is null, then no event will be fired.

  The default implementation just constructs a ChangeEvent of the same type that chains back to ce.

  Overrides:
    `generateEvent` in class `AbstractSymbolList.EditScreener`